//
// error_helper.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package helper

import "github.com/pkg/errors"

func CheckErr(err error) {
	if err != nil {
		panic(err)
	}
}

func Error(msg string) error {
	return errors.New(msg)
}

func WrapErr(err error, msg string) error {
	return errors.Wrap(err, msg)
}
